package guestbook;

import freemarker.template.*;
import java.util.*;

public class GuestbookIterator implements TemplateIteratorModel {

    private Iterator iterator;

    public GuestbookIterator(Iterator iterator) {
        this.iterator = iterator;
    }

    public boolean isEmpty() throws TemplateModelException {
        return false;
    }

    public boolean hasNext() throws TemplateModelException {
        return iterator.hasNext();
    }

    public TemplateModel next() throws TemplateModelException {
        if (iterator.hasNext()) {
            return new GuestbookEntryTM((GuestbookEntry)iterator.next());
        } else {
            throw new TemplateModelException("No more elements.");
        }
    }
}

