/*
 * FreeMarker: a tool that allows Java programs to generate HTML
 * output using templates.
 * Copyright (C) 1998-2003 Benjamin Geer
 * Email: beroul@users.sourceforge.net
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 */

package freemarker.testcase;

/**
 * Simple HelloWorld program, used by the {@link TestExecModel} test case.
 *
 * @version $Id: HelloWorld.java,v 1.7 2003/11/28 01:17:06 run2000 Exp $
 */
public final class HelloWorld {

   /**
    * Main method for the "HelloWorld" program.
    *
    * @param args the command line arguments, ignored
    */
    public static void main( String args[] ) {
        System.out.println( "Hello, world!" );
    }

}
